Skip to content

# Interface: KubeObjectStatusRegistration

Common.Types.KubeObjectStatusRegistration

## Table of contents

### Properties

- apiVersions
- kind
- resolve

## Properties

### apiVersions

• apiVersions: `string`[]

### kind

• kind: `string`

### resolve

• resolve: (`object`: KubeObject) => KubeObjectStatus

#### Type declaration

▸ (`object`): KubeObjectStatus

##### Parameters

Name | Type
--- | ---
`object` | KubeObject<KubeObjectMetadata, any, any>

##### Returns

KubeObjectStatus